Bug 466036 - RFE: memory resource controller not enabled in kernel
RFE: memory resource controller not enabled in kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 16:24 EDT by Daniel Qarras
Modified: 2009-02-28 14:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 14:11:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2008-10-07 16:24:27 EDT
Description of problem:
The kernel is not configured CONFIG_CGROUP_MEM_RES_CTLR thus making memory resource controller usage impossible. Please enable CONFIG_CGROUP_MEM_RES_CTLR.

Version-Release number of selected component (if applicable):
kernel-2.6.27-0.398.rc9.fc10.i686
Comment 1 Chuck Ebbert 2008-10-08 13:38:23 EDT
I don't think we can enable the memory resource controller this close to release. All of the testing so far has been without it enabled.
Comment 2 Daniel Qarras 2008-10-17 12:10:07 EDT
Thanks for the additional info. This is might wrong place to start this discussion but closely related to this is missing support for RSS ulimit enforcement. Currently, setting RSS ulimit has no effect at all and I doubt just by enabling CONFIG_CGROUP_MEM_RES_CTLR would make it work.

FWIW, some patches for that have been floating around in the past:

http://lwn.net/Articles/96859/
Comment 3 Chuck Ebbert 2009-02-28 14:11:58 EST
CONFIG_CGROUP_MEM_RES_CTLR is now enabled in F11 rawhide.

Note You need to log in before you can comment on or make changes to this bug.